URL structure
{objectId} is the ID of a file object/Secure Object.
Supported methods and overview
GET- downloads the encrypted read-only view data of a file object/Secure Object (specified byobjectId) from storage via the Covata Platform’s Content Service.PUT- regenerates the read-only view of a file object (specified byobjectId) based on the file object’s actual data, which is also stored and managed by the Content Service.
- The
PUTmethod take no parameters. - All methods above work with the active version of the file object (specified by
objectId).
Detailed description
This API endpoint serves a number of purposes, all of which are managed by the Covata Platform’s Content Service:- Downloads the encrypted read-only view data of a file object (specified by
objectId) from storage.
Note: The key required to decrypt this read-only view can be obtained by calling the <access-service>/api/v1/objects/{objectId}/keys/view API endpoint. - Regenerates the read-only view of a file object (specified by
objectId) based on the file object’s actual data in storage.
Supported roles and conditions
This API endpoint supports requests utilizing Covata user accounts with the following roles (as described in the Organization Administrator’s Guide) and conditions:- Originator - using the
GETandPUTmethods when this user owns the file object whose ID is specified by{objectId}in the request’s URL. - Originator, Collaborator and Ad hoc - using the
GETmethod when this user is a collaborator with the View permission on the file object whose ID is specified by{objectId}in the URL.
Required headers
The appropriate access token as theBearer token:
Authorization: Bearer eyJhbGciOiJSUzI1NiJ9.eyJleHAiOjE0NjcwMTY2NjYsInVzZXJfbmFtZSI6ImFsZXgub...
Optional parameters
The following optional parameter can be sent in the URL of the GET request:-
encoding - Specify the value
base64to download the encrypted view as Base64-encoded data. Otherwise, omit this parameter to download the encrypted view as raw/binary data. In both cases, theContent-Typein the response isapplication/octet-stream. Example:
Returns
If the request succeeded, then an HTTP response status200 OK is returned.
